---
title: "Folder"
source: /gcxone/api/folder
locale: en
updated: 2026-09-04
---
Operations on folder resources. 6 endpoints, each relative to `https://api.nxgen.cloud/api/v1` and authenticated as described under [Authentication](/gcxone/api/authentication).

## POST /folder

Add folder, Add folder with nodes and add nodes

### Request body

Add a folder

```json
{
  "name": "string",
  "sharedWithUser": [
    "any"
  ],
  "sharedWithRole": [
    "any"
  ],
  "childNodes": [
    {
      "id": "string",
      "type": "string"
    }
  ],
  "parentFolderId": "string"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 400 | Invalid input |  |
| 401 | Unauthorized |  |

Example `200` response:

```json
{
  "uniqueId": "a4cfa7155aff40248f490deff75c1770",
  "label": "folder 1.1.1",
  "key": "a4cfa7155aff40248f490deff75c1770",
  "data": {
    "type": "folder"
  },
  "iconImg": "",
  "config": "null",
  "children": [
    {
      "uniqueId": "afcf4aaa7155aff40248f490def1770",
      "label": "folder 1.1.1.1",
      "key": "afcf4aaa7155aff40248f490def1770",
      "parentFolderId": "a4cfa7155aff40248f490deff75c1770",
      "data": {
        "type": "folder"
      },
      "iconImg": "",
      "isActive": true,
      "config": "null",
      "children": []
    },
    {
      "uniqueId": "3369348d03d2481097f341d6e2aad9a8",
      "key": "3369348d03d2481097f341d6e2aad9a8",
      "label": "AZ Site",
      "data": {
        "type": "device"
      },
      "iconImg": "",
      "isActive": true,
      "config": "null"
    },
    {
      "uniqueId": "eeb78a119e2a470bada695518753e7b6",
      "key": "eeb78a119e2a470bada695518753e7b6",
      "label": "Hoofdtribune Vak E-F1-F2",
      "data": {
        "type": "sensor"
      },
      "iconImg": "",
      "isActive": true,
      "config": "null"
    },
    {
      "uniqueId": "feeeeeeqrg333452rfww442de",
      "key": "feeeeeeqrg333452rfww442de",
      "label": "Test view",
      "data": {
        "type": "salvoView"
      },
      "iconImg": "",
      "config": {
        "views": {
          "type": "16",
          "gridPosition": [
            {
              "positionNumber": 0,
              "sensorId": "rfefe3454"
            },
            {
              "positionNumber": 1,
              "sensorId": "rfefe3454"
            },
            {
              "positionNumber": 2,
              "sensorId": "rfefe3454"
            },
            {
              "positionNumber": 3,
              "sensorId": "rfefe3454"
            }
          ]
        }
      }
    }
  ]
}
```

## POST /folder/addNodes

Add nodes to an existing folder

### Request body

To add nodes to an existing folder

```json
{
  "folderId": "string",
  "childNodes": [
    {
      "id": "string",
      "type": "string"
    }
  ]
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 400 | Invalid input |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

Example `200` response:

```json
{
  "result": true
}
```

## POST /folder/bulkUpdateNodeIndex

Update Folder index

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

Example `200` response:

```json
[
  {
    "label": "folder 1",
    "key": "a4cfa7155aff40248f490deff75c1770"
  },
  {
    "label": "folder 2",
    "key": "ea4cfa7155aff40248f490deff75c1770"
  },
  {
    "label": "folder 3",
    "key": "fa4cfa7155aff40248f490deff75c1770"
  },
  {
    "label": "folder 4",
    "key": "ad4cfa7155aff40248f490deff75c1770"
  }
]
```

## POST /folder/getAllFolders

Gets folders with filtering, sorting and pagination for tree view

### Request body

Get Folders

```json
{
  "folderId": "string",
  "skip": "string",
  "limit": "string",
  "searchString": "string"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success | object |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

Example `200` response:

```json
[
  {
    "uniqueId": "a4cfa7155aff40248f490deff75c1770",
    "label": "folder 1.1.1",
    "key": "a4cfa7155aff40248f490deff75c1770",
    "data": {
      "type": "folder"
    },
    "iconImg": "",
    "config": "null",
    "children": [
      {
        "uniqueId": "afcf4aaa7155aff40248f490def1770",
        "label": "folder 1.1.1.1",
        "key": "afcf4aaa7155aff40248f490def1770",
        "parentFolderId": "a4cfa7155aff40248f490deff75c1770",
        "data": {
          "type": "folder"
        },
        "iconImg": "",
        "isActive": true,
        "config": "null",
        "children": [
          {
            "uniqueId": "3369348d03d2481097f341d6e2aad9a8",
            "key": "3369348d03d2481097f341d6e2aad9a8",
            "label": "AZ Site",
            "data": {
              "type": "device"
            },
            "iconImg": "",
            "isActive": true,
            "config": "null"
          },
          {
            "uniqueId": "eeb78a119e2a470bada695518753e7b6",
            "key": "eeb78a119e2a470bada695518753e7b6",
            "label": "Hoofdtribune Vak E-F1-F2",
            "data": {
              "type": "sensor"
            },
            "iconImg": "",
            "isActive": true,
            "config": "null"
          }
        ]
      },
      {
        "uniqueId": "3369348d03d2481097f341d6e2aad9a8",
        "key": "3369348d03d2481097f341d6e2aad9a8",
        "label": "AZ Site",
        "data": {
          "type": "device"
        },
        "iconImg": "",
        "isActive": true,
        "config": "null"
      },
      {
        "uniqueId": "eeb78a119e2a470bada695518753e7b6",
        "key": "eeb78a119e2a470bada695518753e7b6",
        "label": "Hoofdtribune Vak E-F1-F2",
        "data": {
          "type": "sensor"
        },
        "iconImg": "",
        "isActive": true,
        "config": "null"
      },
      {
        "uniqueId": "feeeeeeqrg333452rfww442de",
        "key": "feeeeeeqrg333452rfww442de",
        "label": "Test view",
        "data": {
          "type": "salvoView"
        },
        "iconImg": "",
        "config": {
          "views": {
            "type": "4",
            "gridPosition": [
              {
                "positionNumber": 0,
                "sensorId": "rfefe3454"
              },
              {
                "positionNumber": 1,
                "sensorId": "rfefe3454"
              },
              {
                "positionNumber": 2,
                "sensorId": "rfefe3454"
              },
              {
                "positionNumber": 3,
                "sensorId": "rfefe3454"
              }
            ]
          }
        }
      }
    ]
  }
]
```

## GET /folder/getList

Gets folders list

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

Example `200` response:

```json
[
  {
    "label": "folder 1",
    "key": "a4cfa7155aff40248f490deff75c1770"
  },
  {
    "label": "folder 2",
    "key": "ea4cfa7155aff40248f490deff75c1770"
  },
  {
    "label": "folder 3",
    "key": "fa4cfa7155aff40248f490deff75c1770"
  },
  {
    "label": "folder 4",
    "key": "ad4cfa7155aff40248f490deff75c1770"
  }
]
```

## POST /folder/moveFolderAndNodes

Move Folder

### Request body

Move Folders

```json
{
  "id": "string",
  "name": "string",
  "type": "string",
  "fromParentFolderId": "string",
  "toParentFolderId": "string",
  "fromIndex": "number",
  "toIndex": "number"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |